#ifndef IMAGECONTROL_H
#define IMAGECONTROL_H
#include <coecntrl.h>
#include <eikedwin.h>
#include <gdi.h>

class CImageControl :
	public CCoeControl
	//public MCoeControlObserver
{
public:
	static CImageControl* NewL();	

	void SetBitmapL(TPoint aPos, CFbsBitmap* aBitmap);
	void UnSetBitmap();

	~CImageControl();
protected:
	CImageControl();
	
	void ConstructL();

	// overrides : CCoeControl
    virtual void Draw(const TRect& aRect) const;
    // overrides : MCoeControlObserver
    //void HandleControlEventL(CCoeControl* aControl, TCoeEvent aEventType);
private:
	//RWsSession iWSSession;
	RWindowGroup iWinGroup;
	CFbsBitmap* iBitmap;
};
#endif